#include "text_view_dialog.hh"
#include "ui_text_view_dialog.h"

TextViewDialog::TextViewDialog(QWidget* parent) :
    QDialog(parent), ui_(new Ui::TextViewDialog)
{
    ui_->setupUi(this);
}

void TextViewDialog::append(const QString& string)
{
    ui_->textEdit->append(string);
}

void TextViewDialog::clear()
{
    ui_->textEdit->clear();
}

TextViewDialog::~TextViewDialog()
{
    delete ui_;
}
